lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shawn Heisey (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SOLR-10036) Revise jackson-core version from 2.5.4 to latest
Date Thu, 26 Jan 2017 19:58:24 GMT

    [ https://issues.apache.org/jira/browse/SOLR-10036?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15840326#comment-15840326
] 

Shawn Heisey commented on SOLR-10036:
-------------------------------------

I bumped the jackson version to 2.8.6 in the ivy properties on master, then started running
Solr tests.  It took three tries, but they finally passed.  The first two runs had entirely
different tests fail, so I don't think that it was caused by the change.


> Revise jackson-core version from 2.5.4 to latest
> ------------------------------------------------
>
>                 Key: SOLR-10036
>                 URL: https://issues.apache.org/jira/browse/SOLR-10036
>             Project: Solr
>          Issue Type: Wish
>      Security Level: Public(Default Security Level. Issues are Public) 
>            Reporter: Shashank Pedamallu
>            Priority: Blocker
>
> The current jackson-core dependency in Solr is not compatible with Amazon AWS S3 dependency.
AWS S3 requires jackson-core-2.6.6 while Solr uses jackson-core-dependency-2.5.4. This is
blocking the usage of latest updates from S3.
> It would be greatly helpful if someone could revise the jackson-core jar in Solr to the
latest version. This is a ShowStopper for our Public company.
> Details of my Setup:
> Solr Version: 6.3
> AWS SDK version: 1.11.76



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message